library test_const_mixin;

class ComparableMixin implements Comparable {
  bool operator ==(other) => compareTo(other) == 0;
  bool operator <(other) => compareTo(other) == -1;
  bool operator <=(other) => compareTo(other) <= 0;
  bool operator >(other) => compareTo(other) == 1;
  bool operator >=(other) => compareTo(other) >= 0;
}

class Point extends Object with ComparableMixin {
  final x;
  final y;
  const Point(this.x, this.y);

  int compareTo(other) {
    var c = x.compareTo(other.x);
    if (c == 0) return c;
    return y.compareTo(other.y);
  }
}

main() {
  var p = const Point(0, 0);
  var q = const Point(1, 1);
  print("p < q: ${p < q}");
}